List end users

GET
/v1/endusers

Lists all end users in an organization. It is possible to filter by one of the mutually exclusive parameters: email or phone number. In case both are provided, an error is returned.
Note: Custom attributes are not part of the response at this point. If you need to get custom attributes for a user use the GET /endusers/{userId} endpoint

Authorization

ApiKeyAuth
headerAuthorization<token>

Query Parameters

pageLimit?integer

Maximum number of results per page. May be used in combination with pageKey to change the number of results in between page requests.

Formatint32
pageKey?string

Base64 encoded form of pagination query parameters. Do not try to construct or change programmatically as the internal structure may change without notice.

email?string

Filter by the contact's email

phone?string

Filter by the contact's phone number

externalId?string

Filter by the contact's external id

Response Body

The list of end users

application/json
  1. response
data?array<>
meta?
curl -X GET 'https://dev.dixa.io/v1/endusers' \  -H 'Authorization: <API token>'
{
"data": [
{
"id": "93b885ad-fe0d-3089-8df6-34904fd59f71",
"createdAt": "2020-12-16T09:41:43Z",
"displayName": "Enduser 0",
"email": "enduser.0@example.org",
"additionalEmails": [],
"additionalPhoneNumbers": [],
"middleNames": [],
"avatarUrl": "https://files.dixa.io/public/image_0_id",
"externalId": "#12345678"
},
{
"id": "55a54008-ad1b-3589-aa21-0d2629c1df41",
"createdAt": "2020-12-16T09:41:43Z",
"displayName": "Enduser 1",
"email": "enduser.1@example.org",
"additionalEmails": [],
"additionalPhoneNumbers": [],
"middleNames": [],
"avatarUrl": "https://files.dixa.io/public/image_1_id",
"externalId": "#12345678"
},
{
"id": "9e688c58-a548-3b8e-af69-c9e1005ad0bf",
"createdAt": "2020-12-16T09:41:43Z",
"displayName": "Enduser 2",
"email": "enduser.2@example.org",
"additionalEmails": [],
"additionalPhoneNumbers": [],
"middleNames": [],
"avatarUrl": "https://files.dixa.io/public/image_2_id",
"externalId": "#12345678"
},
{
"id": "86666835-06aa-3d90-8bbd-5a74ac4edf68",
"createdAt": "2020-12-16T09:41:43Z",
"displayName": "Enduser 3",
"email": "enduser.3@example.org",
"additionalEmails": [],
"additionalPhoneNumbers": [],
"middleNames": [],
"avatarUrl": "https://files.dixa.io/public/image_3_id",
"externalId": "#12345678"
}
]
}